# SSSD - System Security Services Daemon

## Introduction
SSSD provides a set of daemons to manage access to remote directories and
authentication mechanisms such as LDAP, Kerberos or FreeIPA. It provides
an NSS and PAM interface toward the system and a pluggable backend system
to connect to multiple different account sources.

More information about SSSD can be found on its project page -
https://pagure.io/SSSD/sssd/

## Downloading SSSD
SSSD is shipped as a binary package by most Linux distributions. If you
want to obtain the latest source files, please navigate to the
[Releases folder on pagure](https://releases.pagure.org/SSSD/sssd/)

## Releases
SSSD maintains two release streams - stable and LTM. Releases designated as
LTM are long-term maintenance releases and will see bugfixes and security
patches for a longer time than other releases.

The list of all releases is maintained together with [SSSD documentation](https://docs.pagure.org/SSSD.sssd/users/releases.html)

## Building and installation from source
Please see the [our developer documentation](https://docs.pagure.org/SSSD.sssd/developers/)

## Documentation
The most up-to-date documentation can be found at https://docs.pagure.org/SSSD.sssd/

Its source code is hosted at https://pagure.io/SSSD/docs

## Submitting bugs
Please file an issue in the [SSSD pagure instance](https://pagure.io/SSSD/sssd/issues).
Make sure to follow the [guide on reporting SSSD bugs](https://docs.pagure.org/SSSD.sssd/users/reporting_bugs.html)

## Licensing
Please see the file called COPYING.

## Social networks
We maintain our presence on [Twitter](https://twitter.com/SysSecSvcDaemon)
and [Google plus](https://plus.google.com/114204339376082660377)

## Contacts
There are several ways to contact us:

* the sssd-devel mailing list: [Development of the System Security Services Daemon](
  https://lists.fedorahosted.org/archives/list/sssd-devel@lists.fedorahosted.org/)
* the sssd-users mailing list: [End-user discussions about the System Security Services Daemon](
  https://lists.fedorahosted.org/archives/list/sssd-users@lists.fedorahosted.org/)
* the #sssd and #freeipa IRC channels on freenode:
  * irc://irc.freenode.net/sssd
  * irc://irc.freenode.net/freeipa
